## com.ibatis.jpetstore.domain
Class Sequence

    java.lang.Object
      com.ibatis.jpetstore.domain.Sequence

All Implemented Interfaces:
  Serializable

public class Sequence
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private String` `name`
`private int` `nextId`

Constructor Summary
`Sequence()`
`Sequence(String name, int nextId)`

Method Summary
`String` `getName()`
`int` `getNextId()`
`void` `setName(String name)`
`void` `setNextId(int nextId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private String name

### nextId

    private int nextId

Constructor Detail

### Sequence

    public Sequence()

### Sequence

    public Sequence(String name,
                    int nextId)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getNextId

    public int getNextId()

### setNextId

    public void setNextId(int nextId)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.